NGCP-API-POST(1)

NAME
ngcp-api-post - sends a post request to NGCP REST API

SYNOPSIS
ngcp-api-post [-f FILEPATH] [-v] [-h] URL [CONTENT-TYPE]

DESCRIPTION
ngcp-api-post sends a post request to NGCP REST API.

OPTIONS

-f FILEPATH
    Use FILEPATH as input file instead of stdin.

-v  Verbose mode.

-h  Print usage.

URL URL for the request.

CONTENT-TYPE
    Specifies the HTTP content-type. The default is 'application/json'.

EXAMPLES
    $ echo '{ "domain" : "test", "reseller_id" : 4 }' \
    | ngcp-api-post  https://127.0.0.1:1443/api/domains/

    $ ngcp-api-post -f ../test_post.txt https://127.0.0.1:1443/api/domains/ 'application/json'

SEE ALSO
ngcp-api-get(1), ngcp-api-put(1), ngcp-api-patch(1), ngcp-api-delete(1).

https://ngcp-server.domain:1443/api

COPYRIGHT
2014 Sipwise Development Team <support@sipwise.com>